Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 439703 - ltsp-server and tftp-server disagree on path for "tftpboot"
Summary: ltsp-server and tftp-server disagree on path for "tftpboot"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ltsp
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-03-30 18:14 UTC by Axel Thimm
Modified: 2008-03-31 01:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-31 01:16:08 UTC


Attachments (Terms of Use)

Description Axel Thimm 2008-03-30 18:14:01 UTC
Description of problem:
[root@victor ~]# ltsp-build-client --arch i386
ERROR: /etc/xinetd.d/tftp is configured to /var/lib/tftpboot while /var/lib/tftp
is expected.
       /tftpboot was the old location, while /var/lib/tftp is default in Fedora 9+.
       You may need to edit /etc/xinetd.d/tftp manually.
error: LTSP client installation ended abnormally

Version-Release number of selected component (if applicable):
ltsp-server-5.1.0-0.8.20080325.22.fc9.x86_64
tftp-server-0.48-3.fc9.x86_64


Additional info:
The tftpboot path was changed from /tftpboot to /var/lib/tftpboot in the
following change (tftp-server):

* Wed Jan 23 2008 Martin Nagy <mnagy@redhat.com> - 0.42-6
- changed the location of tftpboot directory to /var/lib/

Maybe /var/lib/tftp is correcter than /var/lib/tftpboot, in that case please
reassign to component tftp, thanks!

Comment 1 Warren Togami 2008-03-30 18:31:31 UTC
Did you upgrade from Fedora 8 to Fedora 9?  In that case you have to edit
/etc/xinetd.d/tftp manually because it is evil for an RPM %post to edit config
files automatically and the tftp owner rightly declined to do it.

Unfortunately xinetd.d files need to be marked %config(noreplace) in order to
not break in upgrades, which sucks because they need to be modified merely to be
enabled.

Comment 2 Axel Thimm 2008-03-31 00:10:09 UTC
> Did you upgrade from Fedora 8 to Fedora 9? [%config(noreplace) explanation]

No, this is a fresh install and %config(noreplace) is my middle name. ;)

As a further indication that the current tftp package in F9 does indeed use
/var/lib/tftpboot just look at its file manifest:

[root@victor ~]# rpm -ql tftp-server| grep /var
/var/lib/tftpboot

It's just that tft, ltsp and any other package making assumptions about where
the tftp(boot) directory is need to agree on a standard [1] location.

[1] standard for Fedora/RHEL at least, since there is no given FHS path for it


Comment 3 Warren Togami 2008-03-31 00:45:05 UTC
Great catch Axel!   I had confused the name because of /etc/xinetd.d/tftp.  This
will be fixed in 5.1.2.



Note You need to log in before you can comment on or make changes to this bug.